{
  "name": "server",
  "version": "1.0.0",
  "description": "",
  "main": "./src/server.ts",
  "scripts": {
    "dev": "nodemon",
    "build": "tsc && copyfiles -u 1 ./src/assets/* ./dist/src/",
    "server": "nodemon server --ignore client",
    "start": "node ./dist/src/server.js",
    "test": "jest",
    "build:prod": "webpack --mode=development",
    "start:prod": "node ./server.js"
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "bcrypt": "^5.0.1",
    "cookie-parser": "^1.4.6",
    "dotenv": "^16.0.0",
    "express": "^4.17.2",
    "express-validator": "^6.14.0",
    "handlebars": "^4.7.7",
    "jsonwebtoken": "^8.5.1",
    "node-schedule": "^2.1.0",
    "nodemailer": "^6.7.2",
    "pg": "^8.7.3",
    "sequelize": "^6.15.0"
  },
  "devDependencies": {
    "@types/bcrypt": "^5.0.0",
    "@types/cookie-parser": "^1.4.2",
    "@types/express": "^4.17.13",
    "@types/jest": "^27.4.0",
    "@types/jsonwebtoken": "^8.5.8",
    "@types/node": "^17.0.15",
    "@types/node-schedule": "^1.3.2",
    "@types/nodemailer": "^6.4.4",
    "@types/pg": "^8.6.4",
    "@types/supertest": "^2.0.11",
    "@types/validator": "^13.7.1",
    "copyfiles": "^2.4.1",
    "copy-webpack-plugin": "^10.2.4",
    "jest": "^27.5.0",
    "nodemon": "^2.0.15",
    "supertest": "^6.2.2",
    "ts-jest": "^27.1.3",
    "ts-loader": "^9.2.6",
    "ts-node": "^10.4.0",
    "typescript": "^4.5.5",
    "webpack": "^5.68.0",
    "webpack-cli": "^4.9.2",
    "webpack-node-externals": "^3.0.0"
  }
}
